$(function () {

    var accept = [
	['regiel dolny'], 
	['hale'], 
	['piętro kosodrzewiny'], 
	['regiel górny'], 
	['turnie']
    ],
            ok = '#3CB639',
            bad = '#F56B6B';


    function countFilled() {
        var count = 0;
        for (var i = 1; i <= 5; i++) {
            var str = $("#i" + i + '>input').val().toLowerCase().trim();
            if (str !== '') {
                count++;
            }
        }
        return count;
    }
function countLetters(){
            var count = 0;
        for (var i = 1; i <= 5; i++) {
            var str = $("#i" + i + '>input').val().length;
            if (str < 4) {
                count++;
            }
        }
        return count;
}
    function checkAll(mark) {
        var err = 0;
        for (var i = 1; i <= 5; i++) {
            var str = $("#i" + i + '>input').val().toLowerCase().trim();
	    
            if (accept[i-1].indexOf(str) < 0) {
                err++;
                if (mark) {
                    $("#i" + i + '>input').css('background', bad);
                }
            } else {
                if (mark) {
                    $("#i" + i + '>input').css('background', ok);
                }
            }
        }
        return err;
    }

    $("input").each(function () {
        var readOnly = $(this)[0].readOnly;
        if (!readOnly)
            $(this).val('');
    });

    $(".letterinput").keyup(function () {
        if (countFilled() === 5 && countLetters() === 0) {
            if (checkAll(false) !== 0) {
                checkAll(true);
            } else {
                $("input").css('background', ok);
                $('#jplayer_well').jPlayer('play');
            }
        }
    });

});
